Skip to main content
POST
Add Rating

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

content_type
string

Indicates the media type of the resource being sent. It specifies the format of the data being sent in the request body (e.g., application/json;charset=utf-8).

Example:

"application/json;charset=utf-8"

Path Parameters

guest_session_id
string
required

It represents a unique identifier for a session that is created for a guest user.

Example:

""

movie_id
integer
required

This is a unique identifier for a movie.

Example:

""

Query Parameters

session_id
string

A token that represents a logged-in user's session after they have authenticated with their TMDB account.

Example:

""

Body

application/json
value
number

The rating score for the movie.

Example:

8.5

Response

201 - application/json

add rating

status_code
number
Example:

1

status_message
string
Example:

"Success."

success
boolean
Example:

true